Index: /trunk/include/FlairSensorActuator/UsRangeFinder.h
===================================================================
--- /trunk/include/FlairSensorActuator/UsRangeFinder.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/UsRangeFinder.h	(revision 13)
@@ -16,139 +16,133 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class Tab;
-        class TabWidget;
-        class GroupBox;
-        class Layout;
-        class DataPlot1D;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class Tab;
+class TabWidget;
+class GroupBox;
+class Layout;
+class DataPlot1D;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class UsRangeFinder
-    *
-    * \brief Base class for UsRangeFinder
-    *
-    * Use this class to define a custom UsRangeFinder.
-    *
-    */
-    class UsRangeFinder : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a UsRangeFinder. Control part.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            UsRangeFinder(const core::FrameworkManager* parent,std::string name);
+namespace flair {
+namespace sensor {
+/*! \class UsRangeFinder
+*
+* \brief Base class for UsRangeFinder
+*
+* Use this class to define a custom UsRangeFinder.
+*
+*/
+class UsRangeFinder : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a UsRangeFinder. Control part.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  UsRangeFinder(const core::FrameworkManager *parent, std::string name);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a UsRangeFinder. Simulation part.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            UsRangeFinder(const core::IODevice* parent,std::string name);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a UsRangeFinder. Simulation part.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  UsRangeFinder(const core::IODevice *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~UsRangeFinder();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~UsRangeFinder();
 
-            /*!
-            * \brief Lock user interface
-            *
-            */
-            void LockUserInterface(void) const;
+  /*!
+  * \brief Lock user interface
+  *
+  */
+  void LockUserInterface(void) const;
 
-            /*!
-            * \brief Unlock user interface
-            *
-            */
-            void UnlockUserInterface(void) const;
+  /*!
+  * \brief Unlock user interface
+  *
+  */
+  void UnlockUserInterface(void) const;
 
-            /*!
-            * \brief Use default plot
-            *
-            * Should no be used for the simulation part.
-            */
-            void UseDefaultPlot(void);
+  /*!
+  * \brief Use default plot
+  *
+  * Should no be used for the simulation part.
+  */
+  void UseDefaultPlot(void);
 
-            /*!
-            * \brief Plot
-            *
-            * \return DataPlot1D
-            */
-            gui::DataPlot1D* GetPlot(void) const;
+  /*!
+  * \brief Plot
+  *
+  * \return DataPlot1D
+  */
+  gui::DataPlot1D *GetPlot(void) const;
 
-            /*!
-            * \brief Setup Layout
-            *
-            * \return a Layout available
-            */
-            gui::Layout* GetLayout(void) const;
+  /*!
+  * \brief Setup Layout
+  *
+  * \return a Layout available
+  */
+  gui::Layout *GetLayout(void) const;
 
-            /*!
-            * \brief Plot tab
-            *
-            * \return plot Tab
-            */
-            gui::Tab* GetPlotTab(void) const;
+  /*!
+  * \brief Plot tab
+  *
+  * \return plot Tab
+  */
+  gui::Tab *GetPlotTab(void) const;
 
-            /*!
-            * \brief Value
-            *
-            * \return output value
-            */
-            float Value(void) const;
+  /*!
+  * \brief Value
+  *
+  * \return output value
+  */
+  float Value(void) const;
 
-        protected:
-            /*!
-            * \brief Output matrix
-            *
-            * \return output matrix
-            */
-            core::cvmatrix *output;
+protected:
+  /*!
+  * \brief Output matrix
+  *
+  * \return output matrix
+  */
+  core::cvmatrix *output;
 
-            /*!
-            * \brief Setup GroupBox
-            *
-            * \return a GroupBox available
-            */
-            gui::GroupBox* GetGroupBox(void) const;
+  /*!
+  * \brief Setup GroupBox
+  *
+  * \return a GroupBox available
+  */
+  gui::GroupBox *GetGroupBox(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            gui::Tab* main_tab;
-            gui::TabWidget *tab;
-            gui::GroupBox* setup_groupbox;
-            gui::Tab* sensor_tab;
-            gui::DataPlot1D* plot;
-            gui::Tab* plot_tab;
-    };
+  gui::Tab *main_tab;
+  gui::TabWidget *tab;
+  gui::GroupBox *setup_groupbox;
+  gui::Tab *sensor_tab;
+  gui::DataPlot1D *plot;
+  gui::Tab *plot_tab;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/V4LCamera.h
===================================================================
--- /trunk/include/FlairSensorActuator/V4LCamera.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/V4LCamera.h	(revision 13)
@@ -18,134 +18,131 @@
 #include <highgui.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvimage;
-        class FrameworkManager;
-    }
-    namespace gui
-    {
-        class GridLayout;
-        class DoubleSpinBox;
-        class CheckBox;
-        class Label;
-    }
+namespace flair {
+namespace core {
+class cvimage;
+class FrameworkManager;
+}
+namespace gui {
+class GridLayout;
+class DoubleSpinBox;
+class CheckBox;
+class Label;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class V4LCamera
-    *
-    * \brief Base class for V4l camera
-    */
-    class V4LCamera : public core::Thread, public Camera
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Camera.
-            *
-            * \param parent parent
-            * \param name name
-            * \param camera_index camera index
-            * \param width width
-            * \param height height
-            * \param format image format
-            * \param priority priority of the Thread
-            */
-            V4LCamera(const core::FrameworkManager* parent,std::string name,uint8_t camera_index,uint16_t width,uint16_t height,core::cvimage::Type::Format format,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class V4LCamera
+*
+* \brief Base class for V4l camera
+*/
+class V4LCamera : public core::Thread, public Camera {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Camera.
+  *
+  * \param parent parent
+  * \param name name
+  * \param camera_index camera index
+  * \param width width
+  * \param height height
+  * \param format image format
+  * \param priority priority of the Thread
+  */
+  V4LCamera(const core::FrameworkManager *parent, std::string name,
+            uint8_t camera_index, uint16_t width, uint16_t height,
+            core::cvimage::Type::Format format, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~V4LCamera();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~V4LCamera();
 
-        protected:
-            /*!
-            * \brief Set Gain
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetGain(float value);
+protected:
+  /*!
+  * \brief Set Gain
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetGain(float value);
 
-            /*!
-            * \brief Set Auto Gain
-            *
-            * \param value value
-            */
-            virtual void SetAutoGain(bool value);
+  /*!
+  * \brief Set Auto Gain
+  *
+  * \param value value
+  */
+  virtual void SetAutoGain(bool value);
 
-            /*!
-            * \brief Set Exposure
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetExposure(float value);
+  /*!
+  * \brief Set Exposure
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetExposure(float value);
 
-            /*!
-            * \brief Set Auto Exposure
-            *
-            * \param value value
-            */
-            virtual void SetAutoExposure(bool value);
+  /*!
+  * \brief Set Auto Exposure
+  *
+  * \param value value
+  */
+  virtual void SetAutoExposure(bool value);
 
-            /*!
-            * \brief Set Brightness
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetBrightness(float value);
+  /*!
+  * \brief Set Brightness
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetBrightness(float value);
 
-            /*!
-            * \brief Set Saturation
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetSaturation(float value);
+  /*!
+  * \brief Set Saturation
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetSaturation(float value);
 
-            /*!
-            * \brief Set Hue
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetHue(float value);
+  /*!
+  * \brief Set Hue
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetHue(float value);
 
-            /*!
-            * \brief Set Contrast
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetContrast(float value);
+  /*!
+  * \brief Set Contrast
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetContrast(float value);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            CvCapture* capture;
+  CvCapture *capture;
 
-            gui::Tab* sensor_tab;
-            gui::DoubleSpinBox *bright,*exposure,*gain,*contrast,*hue,*sharpness,*sat;
-            gui::CheckBox *autogain,*awb,*autoexposure;
-            gui::Label *fps;
-    };
+  gui::Tab *sensor_tab;
+  gui::DoubleSpinBox *bright, *exposure, *gain, *contrast, *hue, *sharpness,
+      *sat;
+  gui::CheckBox *autogain, *awb, *autoexposure;
+  gui::Label *fps;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/VrpnClient.h
===================================================================
--- /trunk/include/FlairSensorActuator/VrpnClient.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/VrpnClient.h	(revision 13)
@@ -6,5 +6,6 @@
  * \file VrpnClient.h
  * \brief Class to connect to a Vrpn server
- * \author César Richard, Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
+ * \author César Richard, Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS
+ * 7253
  * \date 2013/04/03
  * \version 4.0
@@ -16,16 +17,13 @@
 #include <Thread.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class SerialPort;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class SerialPort;
+}
+namespace gui {
+class TabWidget;
+class Layout;
+}
 }
 
@@ -33,81 +31,81 @@
 class VrpnObject_impl;
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class VrpnClient
-    *
-    * \brief Class to connect to a Vrpn server
-    */
-    class VrpnClient:public core::Thread
-    {
-        friend class ::VrpnObject_impl;
+namespace flair {
+namespace sensor {
+/*! \class VrpnClient
+*
+* \brief Class to connect to a Vrpn server
+*/
+class VrpnClient : public core::Thread {
+  friend class ::VrpnObject_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a VrpnClient. Connection is done by IP.
-            *
-            * \param parent parent
-            * \param name name
-            * \param address server address
-            * \param us_period Thread period in us
-            * \param priority priority of the Thread
-            */
-            VrpnClient(const core::FrameworkManager* parent,std::string name,std::string address,uint16_t us_period,uint8_t priority);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a VrpnClient. Connection is done by IP.
+  *
+  * \param parent parent
+  * \param name name
+  * \param address server address
+  * \param us_period Thread period in us
+  * \param priority priority of the Thread
+  */
+  VrpnClient(const core::FrameworkManager *parent, std::string name,
+             std::string address, uint16_t us_period, uint8_t priority);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a VrpnClient. Connection is done by XBee modem.
-            *
-            * \param parent parent
-            * \param name name
-            * \param serialport SerialPort for XBee modem
-            * \param us_period Xbee RX timeout in us
-            * \param priority priority of the Thread
-            */
-            VrpnClient(const core::FrameworkManager* parent,std::string name,core::SerialPort* serialport,uint16_t us_period,uint8_t priority);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a VrpnClient. Connection is done by XBee modem.
+  *
+  * \param parent parent
+  * \param name name
+  * \param serialport SerialPort for XBee modem
+  * \param us_period Xbee RX timeout in us
+  * \param priority priority of the Thread
+  */
+  VrpnClient(const core::FrameworkManager *parent, std::string name,
+             core::SerialPort *serialport, uint16_t us_period,
+             uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~VrpnClient();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~VrpnClient();
 
-            /*!
-            * \brief Setup Layout
-            *
-            * \return a Layout available
-            */
-            gui::Layout* GetLayout(void) const;
+  /*!
+  * \brief Setup Layout
+  *
+  * \return a Layout available
+  */
+  gui::Layout *GetLayout(void) const;
 
-            /*!
-            * \brief Setup Tab
-            *
-            * \return a Tab available
-            */
-            gui::TabWidget* GetTabWidget(void) const;
+  /*!
+  * \brief Setup Tab
+  *
+  * \return a Tab available
+  */
+  gui::TabWidget *GetTabWidget(void) const;
 
-            /*!
-            * \brief Is XBee used?
-            *
-            * \return true if connection is based on XBee modem
-            */
-            bool UseXbee(void) const;
+  /*!
+  * \brief Is XBee used?
+  *
+  * \return true if connection is based on XBee modem
+  */
+  bool UseXbee(void) const;
 
-        private:
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+private:
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            class VrpnClient_impl* pimpl_;
-    };
+  class VrpnClient_impl *pimpl_;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/VrpnObject.h
===================================================================
--- /trunk/include/FlairSensorActuator/VrpnObject.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/VrpnObject.h	(revision 13)
@@ -6,5 +6,6 @@
  * \file VrpnObject.h
  * \brief Class for VRPN object
- * \author César Richard, Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
+ * \author César Richard, Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS
+ * 7253
  * \date 2013/04/03
  * \version 4.0
@@ -17,19 +18,16 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class Vector3D;
-        class Euler;
-        class Quaternion;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class Tab;
-        class DataPlot1D;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class Vector3D;
+class Euler;
+class Quaternion;
+}
+namespace gui {
+class TabWidget;
+class Tab;
+class DataPlot1D;
+}
 }
 
@@ -37,152 +35,151 @@
 class VrpnClient_impl;
 
-namespace flair
-{
-namespace sensor
-{
-    class VrpnClient;
+namespace flair {
+namespace sensor {
+class VrpnClient;
 
-    /*! \class VrpnObject
-    *
-    * \brief Class for VRPN object
-    */
-    class VrpnObject: public core::IODevice
-    {
-        friend class ::VrpnObject_impl;
-        friend class ::VrpnClient_impl;
+/*! \class VrpnObject
+*
+* \brief Class for VRPN object
+*/
+class VrpnObject : public core::IODevice {
+  friend class ::VrpnObject_impl;
+  friend class ::VrpnClient_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a VrpnObject. Connection is done by IP.
-            *
-            * \param parent parent
-            * \param name VRPN object name, should be the same as defined in the server
-            * \param tab Tab for the user interface
-            */
-            VrpnObject(const VrpnClient *parent,std::string name,const gui::TabWidget* tab);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a VrpnObject. Connection is done by IP.
+  *
+  * \param parent parent
+  * \param name VRPN object name, should be the same as defined in the server
+  * \param tab Tab for the user interface
+  */
+  VrpnObject(const VrpnClient *parent, std::string name,
+             const gui::TabWidget *tab);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a VrpnObject. Connection is done by IP.
-            *
-            * \param parent parent
-            * \param name name
-            * \param id VRPN object id, should be the same as defined in the server
-            * \param tab Tab for the user interface
-            */
-            VrpnObject(const VrpnClient *parent,std::string name,uint8_t id,const gui::TabWidget* tab);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a VrpnObject. Connection is done by IP.
+  *
+  * \param parent parent
+  * \param name name
+  * \param id VRPN object id, should be the same as defined in the server
+  * \param tab Tab for the user interface
+  */
+  VrpnObject(const VrpnClient *parent, std::string name, uint8_t id,
+             const gui::TabWidget *tab);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~VrpnObject(void);
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~VrpnObject(void);
 
-            /*!
-            * \brief Plot tab
-            *
-            * \return plot Tab
-            */
-            gui::Tab* GetPlotTab(void) const;
+  /*!
+  * \brief Plot tab
+  *
+  * \return plot Tab
+  */
+  gui::Tab *GetPlotTab(void) const;
 
-            /*!
-            * \brief Get Last Packet Time
-            *
-            * \return Time of last received packe
-            */
-            core::Time GetLastPacketTime(void) const;
+  /*!
+  * \brief Get Last Packet Time
+  *
+  * \return Time of last received packe
+  */
+  core::Time GetLastPacketTime(void) const;
 
-            /*!
-            * \brief Is object tracked?
-            *
-            * \param timeout_ms timeout
-            * \return true if object is tracked during timeout_ms time
-            */
-            bool IsTracked(unsigned int timeout_ms) const;
+  /*!
+  * \brief Is object tracked?
+  *
+  * \param timeout_ms timeout
+  * \return true if object is tracked during timeout_ms time
+  */
+  bool IsTracked(unsigned int timeout_ms) const;
 
-            /*!
-            * \brief Get Euler angles
-            *
-            * \param euler output datas
-            */
-            void GetEuler(core::Euler &euler) const;
+  /*!
+  * \brief Get Euler angles
+  *
+  * \param euler output datas
+  */
+  void GetEuler(core::Euler &euler) const;
 
-            /*!
-            * \brief Get Quaternion
-            *
-            * \param quaternion output datas
-            */
-            void GetQuaternion(core::Quaternion &quaternion) const;
-            /*!
-            * \brief Get Position
-            *
-            * \param point output datas
-            */
-            void GetPosition(core::Vector3D &point) const;
+  /*!
+  * \brief Get Quaternion
+  *
+  * \param quaternion output datas
+  */
+  void GetQuaternion(core::Quaternion &quaternion) const;
+  /*!
+  * \brief Get Position
+  *
+  * \param point output datas
+  */
+  void GetPosition(core::Vector3D &point) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * Matrix is of type float and as follows: \n
-            * (0,0) roll (rad) \n
-            * (1,0) pitch (rad) \n
-            * (2,0) yaw (rad) \n
-            * (3,0) x \n
-            * (4,0) y \n
-            * (5,0) z \n
-            *
-            * \return Output metrix
-            */
-            core::cvmatrix *Output(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * Matrix is of type float and as follows: \n
+  * (0,0) roll (rad) \n
+  * (1,0) pitch (rad) \n
+  * (2,0) yaw (rad) \n
+  * (3,0) x \n
+  * (4,0) y \n
+  * (5,0) z \n
+  *
+  * \return Output metrix
+  */
+  core::cvmatrix *Output(void) const;
 
-            /*!
-            * \brief State matrix
-            *
-            * Matrix is of type float and as follows: \n
-            * (0,0) roll (deg) \n
-            * (1,0) pitch (deg) \n
-            * (2,0) yaw (deg) \n
-            *
-            * \return State metrix
-            */
-            core::cvmatrix *State(void) const;
+  /*!
+  * \brief State matrix
+  *
+  * Matrix is of type float and as follows: \n
+  * (0,0) roll (deg) \n
+  * (1,0) pitch (deg) \n
+  * (2,0) yaw (deg) \n
+  *
+  * \return State metrix
+  */
+  core::cvmatrix *State(void) const;
 
-            /*!
-            * \brief x plot
-            *
-            * \return x plot
-            */
-            gui::DataPlot1D* xPlot(void) const;
+  /*!
+  * \brief x plot
+  *
+  * \return x plot
+  */
+  gui::DataPlot1D *xPlot(void) const;
 
-            /*!
-            * \brief y plot
-            *
-            * \return y plot
-            */
-            gui::DataPlot1D* yPlot(void) const;
+  /*!
+  * \brief y plot
+  *
+  * \return y plot
+  */
+  gui::DataPlot1D *yPlot(void) const;
 
-            /*!
-            * \brief z plot
-            *
-            * \return z plot
-            */
-            gui::DataPlot1D* zPlot(void) const;
+  /*!
+  * \brief z plot
+  *
+  * \return z plot
+  */
+  gui::DataPlot1D *zPlot(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            void mainloop(void);
-            class VrpnObject_impl* pimpl_;
-    };
+  void mainloop(void);
+  class VrpnObject_impl *pimpl_;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/XBldc.h
===================================================================
--- /trunk/include/FlairSensorActuator/XBldc.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/XBldc.h	(revision 13)
@@ -16,79 +16,74 @@
 #include "Bldc.h"
 
-namespace flair
-{
-    namespace core
-    {
-        class IODevice;
-        class I2cPort;
-    }
-    namespace gui
-    {
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class IODevice;
+class I2cPort;
+}
+namespace gui {
+class Layout;
+}
 }
 
 class XBldc_impl;
 
-namespace flair
-{
-namespace actuator
-{
-    /*! \class XBldc
-    *
-    * \brief Class for Xufo Bldc
-    */
-    class XBldc : public Bldc
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a XBldc.
-            *
-            * \param parent parent
-            * \param layout layout
-            * \param name name
-            * \param i2cport i2cport
-            */
-            XBldc(const core::IODevice* parent,gui::Layout* layout,std::string name,core::I2cPort* i2cport);
+namespace flair {
+namespace actuator {
+/*! \class XBldc
+*
+* \brief Class for Xufo Bldc
+*/
+class XBldc : public Bldc {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a XBldc.
+  *
+  * \param parent parent
+  * \param layout layout
+  * \param name name
+  * \param i2cport i2cport
+  */
+  XBldc(const core::IODevice *parent, gui::Layout *layout, std::string name,
+        core::I2cPort *i2cport);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~XBldc();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~XBldc();
 
-            /*!
-            * \brief Has speed measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has speed measurement
-            */
-            bool HasSpeedMeasurement(void) const{return false;};
+  /*!
+  * \brief Has speed measurement
+  *
+  * Reimplemented from Bldc. \n
+  *
+  * \return true if it has speed measurement
+  */
+  bool HasSpeedMeasurement(void) const { return false; };
 
-            /*!
-            * \brief Has current measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has current measurement
-            */
-            bool HasCurrentMeasurement(void) const{return false;};
+  /*!
+  * \brief Has current measurement
+  *
+  * Reimplemented from Bldc. \n
+  *
+  * \return true if it has current measurement
+  */
+  bool HasCurrentMeasurement(void) const { return false; };
 
-        private:
-            /*!
-            * \brief Set motors values
-            *
-            * Reimplemented from Bldc. \n
-            * Values size must be the same as MotorsCount()
-            *
-            * \param values motor values
-            */
-            void SetMotors(float* value);
+private:
+  /*!
+  * \brief Set motors values
+  *
+  * Reimplemented from Bldc. \n
+  * Values size must be the same as MotorsCount()
+  *
+  * \param values motor values
+  */
+  void SetMotors(float *value);
 
-            class XBldc_impl* pimpl_;
-    };
+  class XBldc_impl *pimpl_;
+};
 } // end namespace actuator
 } // end namespace flair
Index: /trunk/include/FlairSimulator/Blade.h
===================================================================
--- /trunk/include/FlairSimulator/Blade.h	(revision 12)
+++ /trunk/include/FlairSimulator/Blade.h	(revision 13)
@@ -20,39 +20,33 @@
 #include <ISceneNode.h>
 
-namespace irr
-{
-    namespace scene
-    {
-        class IMesh;
-    }
+namespace irr {
+namespace scene {
+class IMesh;
+}
 }
 
-namespace flair
-{
-namespace simulator
-{
-    class MeshSceneNode;
-    class Model;
+namespace flair {
+namespace simulator {
+class MeshSceneNode;
+class Model;
 
-    class Blade : public irr::scene::ISceneNode
-    {
-        public:
+class Blade : public irr::scene::ISceneNode {
+public:
+  Blade(Model *parent,
+        const irr::core::vector3df &position = irr::core::vector3df(0, 0, 0),
+        bool inverted = false, irr::s32 id = -1);
+  virtual void OnRegisterSceneNode(void);
+  virtual void render(void);
+  virtual const irr::core::aabbox3d<irr::f32> &getBoundingBox(void) const {
+    return Box;
+  }
+  void SetRotationSpeed(float value);
 
-            Blade(Model* parent,const irr::core::vector3df& position = irr::core::vector3df(0,0,0),bool inverted=false,irr::s32 id=-1);
-            virtual void OnRegisterSceneNode(void);
-            virtual void render(void);
-            virtual const irr::core::aabbox3d<irr::f32>& getBoundingBox(void) const
-            {
-                return Box;
-            }
-            void SetRotationSpeed(float value);
-
-
-        private:
-            irr::scene::IMesh *pale;
-            irr::core::aabbox3d<irr::f32> Box;
-            MeshSceneNode *pale_1,*pale_2;
-            irr::scene::ISceneNodeAnimator *anim;
-    };
+private:
+  irr::scene::IMesh *pale;
+  irr::core::aabbox3d<irr::f32> Box;
+  MeshSceneNode *pale_1, *pale_2;
+  irr::scene::ISceneNodeAnimator *anim;
+};
 } // end namespace simulator
 } // end namespace flair
Index: /trunk/include/FlairSimulator/Castle.h
===================================================================
--- /trunk/include/FlairSimulator/Castle.h	(revision 12)
+++ /trunk/include/FlairSimulator/Castle.h	(revision 13)
@@ -19,17 +19,15 @@
 
 #include <Gui.h>
-namespace flair
-{
-namespace simulator
-{
-    class Castle:public Gui
-    {
-        public:
-            Castle(const flair::simulator::Simulator* parent,int app_width, int app_height,int scene_width, int scene_height,std::string media_path);
-            ~Castle();
+namespace flair {
+namespace simulator {
+class Castle : public Gui {
+public:
+  Castle(const flair::simulator::Simulator *parent, int app_width,
+         int app_height, int scene_width, int scene_height,
+         std::string media_path);
+  ~Castle();
 
-        private:
-
-    };
+private:
+};
 } // end namespace simulator
 } // end namespace flair
